


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: ApplicationContext</title>
  <style type="text/css">
    @import "../../.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">
<div class="breadCrumbs">
    [ <a href="../../index.html">all classes</a> ]
    [ <a href="../index.html">com.dema.timeregistration.application</a> ]
</div>

<h1>Coverage Summary for Class: ApplicationContext (com.dema.timeregistration.application)</h1>

<table class="coverageStats">
<tr>
  <th class="name">Class</th>
<th class="coverageStat 
">
  Class, %
</th>
<th class="coverageStat 
">
  Method, %
</th>
<th class="coverageStat 
">
  Line, %
</th>
</tr>
<tr>
  <td class="name">ApplicationContext</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 5)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 10)
  </span>
</td>
</tr>

</table>

<br/>
<br/>


<div class="sourceCode"><i>1</i>&nbsp;package com.dema.timeregistration.application;
<i>2</i>&nbsp;
<i>3</i>&nbsp;import com.dema.timeregistration.service.UserContext;
<i>4</i>&nbsp;import com.dema.timeregistration.service.exception.AccessDeniedException;
<i>5</i>&nbsp;
<b class="nc"><i>6</i>&nbsp;public class ApplicationContext {</b>
<i>7</i>&nbsp;    private UserContext userContext;
<b class="nc"><i>8</i>&nbsp;    private boolean isShutDown = false;</b>
<i>9</i>&nbsp;
<i>10</i>&nbsp;    public UserContext getUserContextOrThrow() throws AccessDeniedException {
<b class="nc"><i>11</i>&nbsp;        if(userContext == null) {</b>
<b class="nc"><i>12</i>&nbsp;            throw new AccessDeniedException(&quot;Please log in to continue&quot;);</b>
<i>13</i>&nbsp;        }
<i>14</i>&nbsp;
<b class="nc"><i>15</i>&nbsp;        return userContext;</b>
<i>16</i>&nbsp;    }
<i>17</i>&nbsp;
<i>18</i>&nbsp;    public void setUserContext(UserContext userContext) {
<b class="nc"><i>19</i>&nbsp;        this.userContext = userContext;</b>
<b class="nc"><i>20</i>&nbsp;    }</b>
<i>21</i>&nbsp;
<i>22</i>&nbsp;    public boolean isShutDown() {
<b class="nc"><i>23</i>&nbsp;        return isShutDown;</b>
<i>24</i>&nbsp;    }
<i>25</i>&nbsp;
<i>26</i>&nbsp;    public void setShutDown(boolean shutDown) {
<b class="nc"><i>27</i>&nbsp;        isShutDown = shutDown;</b>
<b class="nc"><i>28</i>&nbsp;    }</b>
<i>29</i>&nbsp;}
</div>
</div>

<div class="footer">
    
    <div style="float:right;">generated on 2019-05-13 13:51</div>
</div>
</body>
</html>
